Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
tasks
List Tasks
curl --request GET \
  --url https://api.example.com/api/v1/teams/{team_id}/tasks \
  --header 'Authorization: Bearer <token>'
{
  "tasks": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "task_type": "<string>",
      "title": "<string>",
      "description": "<string>",
      "status": "<string>",
      "priority": "<string>",
      "quality_score": 123,
      "evaluation_notes": "<string>",
      "scheduled_for": "2023-11-07T05:31:56Z",
      "platform": "<string>",
      "publish_url": "<string>",
      "published_at": "2023-11-07T05:31:56Z",
      "revision_count": 123,
      "max_revisions": 123,
      "assigned_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "input_data": {},
      "output_data": {}
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Query Parameters

status
string | null
member_id
string<uuid> | null
platform
string | null
limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

tasks
TeamTaskResponse · object[]
required
total
integer
required